<?php

/*
  Created on : Mayo 26, 2019, 01:14:34 PM
  Author     : Gabriel Hernandez Gonzalez
 */
	if(!isset($_SESSION)) session_start();
	require_once "../core/core_classes.php";
	require_once "../config.php";

	switch (filter_input(INPUT_POST, 'tipoOperacion')) {

		case 'login':

			$pUsuario = filter_input(INPUT_POST, 'pUsuario');
			$pContrasenia = filter_input(INPUT_POST, 'pContrasenia');
			
			// get settings
			$stmt = $conn->prepare("call usuarios_login('$pUsuario','$pContrasenia')");
			$stmt->execute();	
			
			$numRegistros = $stmt->rowCount();
			
			$response = new root_response;
			if($numRegistros > 0){
				while($row = $stmt->fetch(PDO::FETCH_ASSOC)) 
				{ 
					$respuesta = new core_usuario();
					$respuesta->nid = $row["nidusuario"];
					$respuesta->nombre = $row["Nombre"];
					$respuesta->paterno = $row["appaterno"];
					$respuesta->materno = $row["apmaterno"];
					$respuesta->usuario = $row["usuario"];
					
					$_SESSION['user'] = json_encode($respuesta);
					$response->datos[] = $respuesta;						
				};
								
				$_SESSION['user'] = json_encode($respuesta);
				$response->datos[] = $respuesta;
				
				$response->transaccion = "1";
				$response->mensaje = "Ok";	
				
			}else{
				$response->transaccion = "0";
				$response->mensaje = "El usuario no existe, por favor corrobore la informacion...!!!";	
			}
			
			echo json_encode($response);
			
			break;
	
		case 'consultaRol':
			$user = json_decode($_SESSION['user']);
			
			$response = new root_response;
			$response->nid = $user->rol;
			$response->transaccion = "1";
			$response->mensaje = "Ok";			
			
			
			echo json_encode($response);
			
			break;	
		case 'consultaNombre':
			$user = json_decode($_SESSION['user']);
			
			$response = new root_response;
			
			$respuesta = new core_usuario();			
			$respuesta->nombre = $user->nombre;
			$respuesta->paterno = $user->paterno;
			$respuesta->materno = $user->materno;
			$response->datos[] = $respuesta;
			
			$response->nid = $user->rol;
			$response->transaccion = "1";
			$response->mensaje = "Ok";			
			
			
			echo json_encode($response);
			
			break;	
		default:
			echo json_encode(system_get_message(SISTEMA_PARAMETRO_NO_RECONOCIDO));
			break;
	}
        
?>
